Modify

Opened 5 years ago

Closed 5 years ago

Last modified 4 years ago

#13198 closed defect (fixed)

sysupgrade broken on brcm47xx

Reported by: bittorf@… Owned by: hauke
Priority: normal Milestone: Barrier Breaker 14.07
Component: packages Version: Trunk
Keywords: sysupgrade brcm47xx Cc:

Description

a custom build r35936 with kernel 3.8.2 on brcm47xx fails to sysupgrade with this message:

root@EG-laborBuffi-AP:~ sysupgrade -n /tmp/firmware.trx
Sending TERM to remaining processes ... crond netifd ubusd 
Sending KILL to remaining processes ... crond ubusd 
Switching to ramdisk...
Performing system upgrade...
Could not open mtd device: linux
Can't open device for writing!
Upgrade completed
Rebooting system...

this is the flash-layout of the device Buffalo WHR-HP-G54

root@EG-laborBuffi-AP:~ cat /proc/mtd 
dev:    size   erasesize  name
mtd0: 00040000 00010000 "boot"
mtd1: 003b0000 00010000 "firmware"
mtd2: 00000944 00000944 "loader"
mtd3: 000fa6a0 00010000 "linux"
mtd4: 002b5000 00010000 "rootfs"
mtd5: 000f0000 00010000 "rootfs_data"
mtd6: 00010000 00010000 "nvram"

kernel-log:

[    0.000000] Linux version 3.8.2 (bastian@gcc20) (gcc version 4.6.4 20121210 (prerelease) (Linaro GCC 4.6-2012.12) ) #3 Sun Mar 10 20:33:12 CET 2013
[    0.000000] CPU revision is: 00029008 (Broadcom BMIPS3300)
[    0.000000] bcm47xx: using ssb bus
[    0.000000] ssb: Found chip with id 0x5352, rev 0x00 and package 0x02
[    0.000000] ssb: Core 0 found: ChipCommon (cc 0x800, rev 0x0E, vendor 0x4243)
[    0.000000] ssb: Core 1 found: Fast Ethernet (cc 0x806, rev 0x09, vendor 0x4243)
[    0.000000] ssb: Core 2 found: MIPS 3302 (cc 0x816, rev 0x06, vendor 0x4243)
[    0.000000] ssb: Core 3 found: USB 1.1 Host (cc 0x817, rev 0x02, vendor 0x4243)
[    0.000000] ssb: Core 4 found: MEMC SDRAM (cc 0x80F, rev 0x01, vendor 0x4243)
[    0.000000] ssb: Core 5 found: IEEE 802.11 (cc 0x812, rev 0x09, vendor 0x4243)
[    0.000000] ssb: Core 6 found: Roboswitch (cc 0x81C, rev 0x02, vendor 0x4243)
[    0.000000] ssb: chipcommon status is 0x0
[    0.000000] ssb: Initializing MIPS core...
[    0.000000] ssb: set_irq: core 0x0806, irq 4 => 4
[    0.000000] ssb: set_irq: core 0x0816, irq 5 => 2
[    0.000000] ssb: set_irq: core 0x0812, irq 2 => 5
[    0.000000] ssb: after irq reconfiguration
[    0.000000] ssb: core 0x0800, irq : 2(S)  3* 4  5  6  D  I 
[    0.000000] ssb: core 0x0806, irq : 2(S)  3  4* 5  6  D  I 
[    0.000000] ssb: core 0x0816, irq : 2(S)* 3  4  5  6  D  I 
[    0.000000] ssb: core 0x0817, irq : 2(S)  3  4  5  6* D  I 
[    0.000000] ssb: core 0x080f, irq : 2(S)  3  4  5  6  D  I*
[    0.000000] ssb: core 0x0812, irq : 2(S)  3  4  5* 6  D  I 
[    0.000000] ssb: core 0x081c, irq : 2(S)  3  4  5  6  D  I*
[    0.000000] ssb: Sonics Silicon Backplane found at address 0x18000000
[    0.000000] Serial init done.
[    0.000000] Determined physical RAM map:
[    0.000000]  memory: 01000000 @ 00000000 (usable)
[    0.000000] Initrd not found or empty - disabling initrd
[    0.000000] Zone ranges:
[    0.000000]   Normal   [mem 0x00000000-0x00ffffff]
[    0.000000] Movable zone start for each node
[    0.000000] Early memory node ranges
[    0.000000]   node   0: [mem 0x00000000-0x00ffffff]
[    0.000000] On node 0 totalpages: 4096
[    0.000000] free_area_init_node: node 0, pgdat 802bc4c0, node_mem_map 80337000
[    0.000000]   Normal zone: 32 pages used for memmap
[    0.000000]   Normal zone: 0 pages reserved
[    0.000000]   Normal zone: 4064 pages, LIFO batch:0
[    0.000000] Primary instruction cache 16kB, VIPT, 2-way, linesize 16 bytes.
[    0.000000] Primary data cache 8kB, 2-way, VIPT, no aliases, linesize 16 bytes
[    0.000000] pcpu-alloc: s0 r0 d32768 u32768 alloc=1*32768
[    0.000000] pcpu-alloc: [0] 0 
[    0.000000] Built 1 zonelists in Zone order, mobility grouping off.  Total pages: 4064
[    0.000000] Kernel command line:  noinitrd console=ttyS0,115200 oops=panic panic=10
[    0.000000] PID hash table entries: 64 (order: -4, 256 bytes)
[    0.000000] Dentry cache hash table entries: 2048 (order: 1, 8192 bytes)
[    0.000000] Inode-cache hash table entries: 1024 (order: 0, 4096 bytes)
[    0.000000] __ex_table already sorted, skipping sort
[    0.000000] Memory: 12892k/16384k available (2324k kernel code, 3492k reserved, 544k data, 196k init, 0k highmem)
[    0.000000] NR_IRQS:128
[    0.000000] console [ttyS0] enabled
[    0.132000] Calibrating delay loop... 198.65 BogoMIPS (lpj=397312)
[    0.164000] pid_max: default: 32768 minimum: 301
[    0.168000] Mount-cache hash table entries: 512
[    0.180000] NET: Registered protocol family 16
[    0.232000] bio: create slab <bio-0> at 0
[    0.248000] Switching to clocksource MIPS
[    0.284000] NET: Registered protocol family 2
[    0.292000] TCP established hash table entries: 512 (order: 0, 4096 bytes)
[    0.300000] TCP bind hash table entries: 512 (order: -1, 2048 bytes)
[    0.304000] TCP: Hash tables configured (established 512 bind 512)
[    0.312000] TCP: reno registered
[    0.316000] UDP hash table entries: 256 (order: 0, 4096 bytes)
[    0.324000] UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
[    0.332000] NET: Registered protocol family 1
[    0.336000] PCI: CLS 0 bytes, default 16
[    0.348000] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[    0.352000] jffs2: version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
[    0.364000] msgmni has been set to 25
[    0.368000] io scheduler noop registered
[    0.372000] io scheduler deadline registered (default)
[    0.380000] Serial: 8250/16550 driver, 2 ports, IRQ sharing enabled
[    0.408000] serial8250: ttyS0 at MMIO 0xb8000300 (irq = 3) is a U6_16550A
[    0.436000] serial8250: ttyS1 at MMIO 0xb8000400 (irq = 3) is a U6_16550A
[    0.468000] serial8250.0: ttyS0 at MMIO 0xb8000300 (irq = 3) is a U6_16550A
[    0.496000] serial8250.0: ttyS1 at MMIO 0xb8000400 (irq = 3) is a U6_16550A
[    0.516000] physmap platform flash device: 02000001 at 1c000000
[    0.520000] physmap-flash.0: Found 1 x16 devices at 0x0 in 16-bit bank. Manufacturer ID 0x00ddda Chip ID 0x00227e
[    0.532000] physmap-flash.0: Found an alias at 0x400000 for the chip at 0x0
[    0.532000] physmap-flash.0: Found an alias at 0x800000 for the chip at 0x0
[    0.532000] physmap-flash.0: Found an alias at 0xc00000 for the chip at 0x0
[    0.532000] physmap-flash.0: Found an alias at 0x1000000 for the chip at 0x0
[    0.532000] physmap-flash.0: Found an alias at 0x1400000 for the chip at 0x0
[    0.532000] physmap-flash.0: Found an alias at 0x1800000 for the chip at 0x0
[    0.532000] physmap-flash.0: Found an alias at 0x1c00000 for the chip at 0x0
[    0.532000] Amd/Fujitsu Extended Query Table at 0x0040
[    0.536000]   Amd/Fujitsu Extended Query version 1.3.
[    0.544000] number of CFI chips: 1
[    0.564000] 6 bcm47xxpart partitions found on MTD device physmap-flash.0
[    0.572000] Creating 6 MTD partitions on "physmap-flash.0":
[    0.576000] 0x000000000000-0x000000040000 : "boot"
[    0.588000] 0x000000040000-0x0000003f0000 : "firmware"
[    0.600000] 0x00000004001c-0x000000040960 : "loader"
[    0.612000] 0x000000040960-0x00000013b000 : "linux"
[    0.620000] mtd: partition "linux" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
[    0.640000] 0x00000013b000-0x0000003f0000 : "rootfs"
[    0.644000] mtd: partition "rootfs" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
[    0.664000] mtd: partition "rootfs" set to be root filesystem
[    0.672000] mtd: partition "rootfs_data" created automatically, ofs=300000, len=F0000 
[    0.680000] 0x000000300000-0x0000003f0000 : "rootfs_data"
[    0.692000] 0x0000003f0000-0x000000400000 : "nvram"
[    0.712000] bcm47xx-wdt bcm47xx-wdt.0: BCM47xx Watchdog Timer enabled (30 seconds, Software Timer)
[    0.724000] TCP: cubic registered
[    0.728000] NET: Registered protocol family 17
[    0.732000] 8021q: 802.1Q VLAN Support v1.8
[    0.756000] VFS: Mounted root (squashfs filesystem) readonly on device 31:4.
[    0.764000] Freeing unused kernel memory: 196k freed
[    5.144000] Found board: "Buffalo WHR-HP-G54"
[    5.148000] diag: kernel found a "Buffalo WHR-HP-G54"
[    5.152000] diag: Detected 'Buffalo WHR-HP-G54'
[    5.636000] b44: Broadcom 44xx/47xx 10/100 PCI ethernet driver version 2.0
[    5.672000] b44 ssb0:0 eth0: Broadcom 44xx/47xx 10/100 PCI ethernet driver 00:24:a5:42:71:12
[    5.832000] b44 ssb0:0 eth0: Link is up at 100 Mbps, full duplex
[    5.840000] b44 ssb0:0 eth0: Flow control is off for TX and off for RX
[    5.956000] roboswitch: Probing device 'eth0'
[    5.964000] roboswitch: found a 5325! at eth0
[   10.608000] jffs2: notice: (320) jffs2_build_xattr_subsystem: complete building xattr subsystem, 1 of xdatum (1 unchecked, 0 orphan) and 21 of xref (0 dead, 10 orphan) found.
[   28.112000] Compat-drivers backport release: compat-drivers-2013-01-21-1
[   28.116000] Backport based on wireless-testing.git master-2013-02-22
[   28.124000] compat.git: wireless-testing.git
[   28.220000] cfg80211: Calling CRDA to update world regulatory domain
[   28.224000] cfg80211: World regulatory domain updated:
[   28.232000] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[   28.240000] cfg80211:   (2400000 KHz - 2494000 KHz @ 40000 KHz), (N/A, 3500 mBm)
[   28.248000] cfg80211:   (4910000 KHz - 5895000 KHz @ 40000 KHz), (N/A, 3500 mBm)
[   29.184000] zsmalloc: module is from the staging directory, the quality is unknown, you have been warned.
[   29.236000] zram: module is from the staging directory, the quality is unknown, you have been warned.
[   29.248000] zram: num_devices not specified. Using default: 1
[   29.256000] zram: Creating 1 devices ...
[   30.468000] b43-phy0: Broadcom 5352 WLAN found (core revision 9)
[   30.500000] b43-phy0: Found PHY: Analog 2, Type 2 (G), Revision 7
[   30.528000] Broadcom 43xx driver loaded [ Features: PL ]
[   31.044000] ieee80211 phy0: Failed to initialize wep: -2
[   31.044000] ieee80211 phy0: Selected rate control algorithm 'minstrel_ht'
[   31.352000] ip_tables: (C) 2000-2006 Netfilter Core Team
[   31.880000] nf_conntrack version 0.5.0 (204 buckets, 816 max)
[   40.700000] b44 ssb0:0 eth0: powering down PHY
[   40.728000] b44 ssb0:0 eth0: Link is up at 100 Mbps, full duplex
[   40.736000] b44 ssb0:0 eth0: Flow control is off for TX and off for RX

Attachments (0)

Change History (4)

comment:1 Changed 5 years ago by hauke

  • Owner changed from developers to hauke
  • Status changed from new to accepted

comment:2 Changed 5 years ago by hauke

This should have been fixed some weeks ago.

comment:3 Changed 5 years ago by hauke

  • Resolution set to fixed
  • Status changed from accepted to closed

comment:4 Changed 4 years ago by jow

  • Milestone changed from Attitude Adjustment 12.09 to Barrier Breaker 14.07

Milestone Attitude Adjustment 12.09 deleted

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.